using System;

namespace SlatedGameToolkit.Framework.Exceptions
{
    public class SoLoudException : FrameworkException
    {
        public int ErrorCode { get; private set; }
        public SoLoudException(int errorCode) : base(GameEngine.SoLoudEngine.getErrorString(errorCode) + " SoLoud error has occurred.")
        {
        }

        public SoLoudException(int errorCode, string message) : base(GameEngine.SoLoudEngine.getErrorString(errorCode) + " SoLoud error has occurred: " + message)
        {
        }

        public SoLoudException(int errorCode, string message, Exception inner) : base(GameEngine.SoLoudEngine.getErrorString(errorCode) + " SoLoud error has occurred: " + message, inner)
        {
        }
    }
}